org.apache.sling.maven.kickstart

## Class BuildConstants

- java.lang.Object
- - org.apache.sling.maven.kickstart.BuildConstants

    public abstract class BuildConstants
    extends Object

### Field Summary

Fields
`static String` `ATTR_BUILT_BY`
`static String` `ATTR_CREATED_BY`
`static String` `ATTR_IMPLEMENTATION_BUILD`
`static String` `ATTR_IMPLEMENTATION_TITLE`
`static String` `ATTR_IMPLEMENTATION_VENDOR`
`static String` `ATTR_IMPLEMENTATION_VENDOR_ID`
`static String` `ATTR_IMPLEMENTATION_VERSION`
`static String` `ATTR_SPECIFICATION_TITLE`
`static String` `ATTR_SPECIFICATION_VENDOR`
`static String` `ATTR_SPECIFICATION_VERSION`
`static List<String>` `ATTRS_EXCLUDES`
`static String` `CLASSIFIER_APP`
`static String` `PACKAGING_SLINGQUICKSTART`
`static String` `TYPE_JAR`

### Constructor Summary

Constructors
Constructor and Description
`BuildConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_JAR

    public static final String TYPE_JAR

See Also:
  Constant Field Values

#### PACKAGING_SLINGQUICKSTART

    public static final String PACKAGING_SLINGQUICKSTART

See Also:
  Constant Field Values

#### CLASSIFIER_APP

    public static final String CLASSIFIER_APP

See Also:
  Constant Field Values

#### ATTR_BUILT_BY

    public static final String ATTR_BUILT_BY

See Also:
  Constant Field Values

#### ATTR_CREATED_BY

    public static final String ATTR_CREATED_BY

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_VERSION

    public static final String ATTR_IMPLEMENTATION_VERSION

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_VENDOR

    public static final String ATTR_IMPLEMENTATION_VENDOR

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_BUILD

    public static final String ATTR_IMPLEMENTATION_BUILD

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_VENDOR_ID

    public static final String ATTR_IMPLEMENTATION_VENDOR_ID

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_TITLE

    public static final String ATTR_IMPLEMENTATION_TITLE

See Also:
  Constant Field Values

#### ATTR_SPECIFICATION_TITLE

    public static final String ATTR_SPECIFICATION_TITLE

See Also:
  Constant Field Values

#### ATTR_SPECIFICATION_VENDOR

    public static final String ATTR_SPECIFICATION_VENDOR

See Also:
  Constant Field Values

#### ATTR_SPECIFICATION_VERSION

    public static final String ATTR_SPECIFICATION_VERSION

See Also:
  Constant Field Values

#### ATTRS_EXCLUDES

    public static final List<String> ATTRS_EXCLUDES

### Constructor Detail

#### BuildConstants

    public BuildConstants()